import { c } from './c';
export function CSSRender(config = {
    preserveEmptyBlock: false
}) {
    const cssr = {
        c: ((...args) => c(cssr, ...args)),
        use: (plugin, ...args) => plugin.install(cssr, ...args),
        id: Math.random().toString(36).slice(2, 10),
        context: {},
        config
    };
    return cssr;
}
